Bug 991280 - Review Request: regina-rexx - Regina Rexx Interpreter
Review Request: regina-rexx - Regina Rexx Interpreter
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 00:42 EDT by Christopher Meng
Modified: 2013-11-21 10:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-08-02 00:42:17 EDT
Spec URL: http://cicku.me/regina-rexx.spec
SRPM URL: http://cicku.me/regina-rexx-3.7-1.fc20.src.rpm 

Description: Regina is a interpreter of Rexx, which is a programming language that was 
designed to be easy to use for inexperienced programmers yet powerful enough 
for experienced users. It is also a language ideally suited as a macro 
language for other applications. 

For more information on Rexx, visit http://www.rexxla.org
Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-08-25 11:57:16 EDT
I had a look at some packages provided by RPMsphere [1]. The only package which needs it is "the" (The Hessling Editor). Referring to the dependencies, it doesn't need the binaries from regina, just the libraries. So it would make sense to move the shared libs to a subpackage. If someone wants to package the "the" then he can let it depend on regina-rexx-libs only.

$ rpmlint -i -v *
...
regina-rexx.src:21: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 21)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.


%package        doc
Summary:        Documentation files for %{summary}
Requires:	%{name} = %{version}-%{release}

A -doc subpackage doesn't have to depend on the base package in any case. It doesn't need the base package for viewing, so this dep could be dropped. Maybe someone wants to read the docs only before installation...?


We have a mix of licenses:

$ licensecheck -r *
alloca.c: *No copyright* UNKNOWN
apphead.h: LGPL (v2 or later) (with incorrect FSF address)
arxfuncs.c: LGPL (v2 or later) (with incorrect FSF address)
builtin.c: LGPL (v2 or later) (with incorrect FSF address)
client.c: LGPL (v2 or later) (with incorrect FSF address)
cmath.c: LGPL (v2 or later) (with incorrect FSF address)
cmsfuncs.c: LGPL (v2 or later) (with incorrect FSF address)
common/rxpack.h: LGPL (v2 or later) (with incorrect FSF address)
common/rxpack.c: LGPL (v2 or later) (with incorrect FSF address)
common/rxdef.h: LGPL (v2 or later) (with incorrect FSF address)
configur.h: LGPL (v2 or later) (with incorrect FSF address)
contrib/fnmatch.c: LGPL (v2 or later) (with incorrect FSF address)
contrib/time64.c: UNKNOWN
contrib/checker.c: *No copyright* UNKNOWN
contrib/fnmatch.h: LGPL (v2 or later) (with incorrect FSF address)
contrib/time64.h: UNKNOWN
convert.c: LGPL (v2 or later) (with incorrect FSF address)
dbgfuncs.c: LGPL (v2 or later) (with incorrect FSF address)
debug.c: LGPL (v2 or later) (with incorrect FSF address)
defs.h: LGPL (v2 or later) (with incorrect FSF address)
envir.c: LGPL (v2 or later) (with incorrect FSF address)
epoc32/recrexx/RexxFileRecognizer.h: UNKNOWN
epoc32/recrexx/RexxFileRecognizer.cpp: UNKNOWN
epoc32/epoc32.cpp: *No copyright* UNKNOWN
epoc32/epoc32.h: *No copyright* UNKNOWN
error.c: LGPL (v2 or later) (with incorrect FSF address) GENERATED FILE
execiser.c: *No copyright* UNKNOWN
expr.c: LGPL (v2 or later) (with incorrect FSF address)
extern.h: LGPL (v2 or later) (with incorrect FSF address)
extstack.c: LGPL (v2 or later) (with incorrect FSF address)
extstack.h: LGPL (v2 or later) (with incorrect FSF address)
files.c: LGPL (v2 or later) (with incorrect FSF address)
funcs.c: LGPL (v2 or later) (with incorrect FSF address)
gci/gci_convert.c: LGPL (v2 or later) (with incorrect FSF address)
gci/gci_tree.c: LGPL (v2 or later) (with incorrect FSF address) GENERATED FILE
gci/gci_prepare.c: LGPL (v2 or later) (with incorrect FSF address)
gci/gci_reginabridge.c: LGPL (v2 or later) (with incorrect FSF address)
gci/gci_rxfuncdefine.c: LGPL (v2 or later) (with incorrect FSF address)
gci/gci_helper.c: LGPL (v2 or later) (with incorrect FSF address)
gci/gci_call.c: LGPL (v2 or later) (with incorrect FSF address)
gci/gci.h: LGPL (v2 or later) (with incorrect FSF address)
gci/gci_execute.c: LGPL (v2 or later) (with incorrect FSF address)
gci/embedded.h: LGPL (v2 or later) (with incorrect FSF address)
getopt.c: *No copyright* UNKNOWN
instore.c: *No copyright* UNKNOWN
interp.c: LGPL (v2 or later) (with incorrect FSF address)
interprt.c: LGPL (v2 or later) (with incorrect FSF address)
lexsrc.c: *No copyright* GENERATED FILE
library.c: LGPL (v2 or later) (with incorrect FSF address)
mac.c: *No copyright* UNKNOWN
mac.h: *No copyright* UNKNOWN
macros.c: LGPL (v2 or later) (with incorrect FSF address)
memory.c: LGPL (v2 or later) (with incorrect FSF address)
misc.c: LGPL (v2 or later) (with incorrect FSF address)
msgcmp.c: *No copyright* UNKNOWN
mt.h: *No copyright* UNKNOWN
mt_notmt.c: *No copyright* UNKNOWN
mt_notmt.h: *No copyright* UNKNOWN
mt_os2.c: *No copyright* UNKNOWN
mt_os2.h: *No copyright* UNKNOWN
mt_posix.c: *No copyright* UNKNOWN
mt_posix.h: *No copyright* UNKNOWN
mt_win32.c: *No copyright* UNKNOWN
mt_win32.h: *No copyright* UNKNOWN
mt_win64.c: *No copyright* UNKNOWN
mt_win64.h: *No copyright* UNKNOWN
nosaa.c: *No copyright* UNKNOWN
ntservice/service.c: UNKNOWN
ntservice/service.h: UNKNOWN
options.c: LGPL (v2 or later) (with incorrect FSF address)
os2/rexx.c: LGPL (v2 or later) (with incorrect FSF address)
os2/rexxapi.c: LGPL (v2 or later) (with incorrect FSF address)
os2funcs.c: LGPL (v2 or later) (with incorrect FSF address)
os_os2.c: LGPL (v2 or later) (with incorrect FSF address)
os_other.c: LGPL (v2 or later) (with incorrect FSF address)
os_unx.c: LGPL (v2 or later) (with incorrect FSF address)
os_win.c: LGPL (v2 or later) (with incorrect FSF address)
parsing.c: LGPL (v2 or later) (with incorrect FSF address)
regina64.h: *No copyright* UNKNOWN
regina.c: LGPL (v2 or later) (with incorrect FSF address)
regina_c.h: LGPL (v2 or later) (with incorrect FSF address)
regina_t.h: LGPL (v2 or later) (with incorrect FSF address)
regutil/regscreen.c: MPL (v1.0)
regutil/regutil.c: MPL (v1.0)
regutil/inifile.h: MPL (v1.0)
regutil/regtrig.c: MPL (v1.0)
regutil/regstem.c: MPL (v1.0)
regutil/regcrypt.c: MPL (v1.0)
regutil/regsem.c: MPL (v1.0)
regutil/regini.c: MPL (v1.0)
regutil/regmacrospace.c: MPL (v1.0)
regutil/inifile.c: MPL (v1.0)
regutil/rxproto.h: MPL (v1.0)
regutil/regscreenux.c: MPL (v1.0)
regutil/regsemos2.c: MPL (v1.0)
regutil/regscreenos2.c: MPL (v1.0)
regutil/regunicode.c: MPL (v1.0)
regutil/rxsupport.c: MPL (v1.0)
regutil/regfilesys.c: MPL (v1.0)
regutil/random.c: BSD (4 clause)
regutil/regsemux.c: MPL (v1.0)
regutil/regwin.c: MPL (v1.0)
regutil/regutil.h: MPL (v1.0)
rexxbif.c: *No copyright* UNKNOWN
rexxbif.h: LGPL (v2 or later) (with incorrect FSF address)
rexx.c: LGPL (v2 or later) (with incorrect FSF address)
rexxext.c: LGPL (v2 or later) (with incorrect FSF address)
rexx.h: LGPL (v2 or later) (with incorrect FSF address)
rexxmsg.h: LGPL (v2 or later) (with incorrect FSF address) GENERATED FILE
rexxsaa.c: LGPL (v2 or later) (with incorrect FSF address)
rexxsaa.h: LGPL (v2 or later) (with incorrect FSF address)
rxiface.h: LGPL (v2 or later) (with incorrect FSF address)
rxqueue.c: LGPL (v2 or later) (with incorrect FSF address)
rxstack.c: LGPL (v2 or later) (with incorrect FSF address)
shell.c: LGPL (v2 or later) (with incorrect FSF address)
signals.c: LGPL (v2 or later) (with incorrect FSF address)
stack.c: LGPL (v2 or later) (with incorrect FSF address)
staticld.c: LGPL (v2 or later) (with incorrect FSF address)
strings.c: LGPL (v2 or later) (with incorrect FSF address)
strings.h: LGPL (v2 or later) (with incorrect FSF address)
strmath.c: LGPL (v2 or later) (with incorrect FSF address)
test1.c: *No copyright* UNKNOWN
test2.c: *No copyright* UNKNOWN
threader.c: LGPL (v2 or later) (with incorrect FSF address)
tracing.c: LGPL (v2 or later) (with incorrect FSF address)
trip/true.c: *No copyright* UNKNOWN
trip/rc.c: *No copyright* UNKNOWN
trip/std.c: *No copyright* UNKNOWN
unxfuncs.c: LGPL (v2 or later) (with incorrect FSF address)
utsname.h: GPL (v2 or later) (with incorrect FSF address)
variable.c: LGPL (v2 or later) (with incorrect FSF address)
vmscmd.c: LGPL (v2 or later) (with incorrect FSF address)
vmsfuncs.c: LGPL (v2 or later) (with incorrect FSF address)
vms.h: *No copyright* UNKNOWN
wrappers.c: LGPL (v2 or later) (with incorrect FSF address)
wrappers.h: *No copyright* UNKNOWN
yaccsrc.c: GPL (v3 or later)
yaccsrc.h: GPL (v3 or later)

The regutil files are MPL licensed, most of the other ones LGPL. That's why the license tag actually has to be "LGPLv2+ and MPLv1.0". I'm not sure how to handle the single GPL licensed file, but COPYING-LIB contains the LGPL anyway. 
 
Have a look at the files yaccsrc.*. I was wondering if it is a bundled library, the bison and yacc packages from Fedora don't contain anything similar.

The BUGS file should be part of %doc in the base package. 

[1] http://pkgs.org/fedora-19/rpm-sphere-i586/regina-3.7-4.1.i686.rpm.html
[2] http://pkgs.org/fedora-19/rpm-sphere-i586/the-3.3RC1-401.1.i686.rpm.html
Comment 2 Dan Horák 2013-08-25 12:20:38 EDT
please see http://fedora.danny.cz/danny/development/SRPMS/repoview/regina-rexx.html where I've spent some time making regina-rexx Fedora-compliant

Note You need to log in before you can comment on or make changes to this bug.